> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/grading-integration-service-gis-api/introduction.md).

# Introduction

This article provides an overview of the Grading Integration Service (GIS), and briefly describes the steps required by a lab to validate diamond parameters and upload grading information on Tracr. It also provides an overview for Tracr-branded QR codes and provenance specific endpoints.

## Background

### Tracr

Tracr is an advanced technology platform developed by De Beers Group to underpin trust in diamond provenance. Tracr uses leading-edge technologies, including blockchain, artificial intelligence, the internet of things and advanced security and privacy technologies.

### Grading lab integration

The Grading Integration Service (GIS) allows grading labs to upload grading data to a diamond record on Tracr.

### Provenance programmes

Grading labs are able to pull the provenance for a diamond and add it to a grading report to include in a provenance programme.

### What is required to claim Tracr provenance in the grading report?

Diamonds need to be **unlocked** by the participant prior to the grading lab retrieving provenance for a Tracr diamond.

## How to update a Tracr diamond record with grading information?

The integration works through three key steps: [Verification](/api-reference/grading-integration-service-gis-api/verification.md), [Validation](/api-reference/grading-integration-service-gis-api/validation.md), [Update](/api-reference/grading-integration-service-gis-api/upload-grading-data.md).

{% stepper %}
{% step %}

### Verification

The verification step allows the lab to check that the diamond that has been received in the lab is the diamond that is registered on Tracr. This is done using the data that the client has uploaded onto Tracr and submitted to the lab.
{% endstep %}

{% step %}

### Validation

The validation step checks the lab graded measurements against the client’s uploaded measurements on Tracr. Tracr requires the lab to upload fields depending on the shape of the diamond.
{% endstep %}

{% step %}

### Update

Once a diamond has been validated against the record Tracr holds, the grading lab can upload the grading certificate and/or inscription number associated with the diamond.
{% endstep %}
{% endstepper %}

## Benefits of integration with Tracr

Integrating with Tracr provides the following benefits to a lab:

* The ability to update a diamond record on Tracr to include your lab's grading data and certificate.
* The capability to create provenance programmes.

### Requirements for integration

Grading labs that wish to integrate with Tracr must:

* Be an RJC member.
* Complete Tracr's KYC process.
* Sign Tracr's T\&C's.

## Tracr presentation guidelines

### Getting Started

* [Security](/api-reference/grading-integration-service-gis-api/security.md)
* [Diamonds Eligible for GIS](/api-reference/grading-integration-service-gis-api/diamonds-eligibility.md)
* [Verification](/api-reference/grading-integration-service-gis-api/verification.md)
* [Validation](/api-reference/grading-integration-service-gis-api/validation.md)
* [Update](/api-reference/grading-integration-service-gis-api/upload-grading-data.md)

### Optional Steps

* [Provenance](/api-reference/grading-integration-service-gis-api/provenance.md)
* [QR Code](/api-reference/grading-integration-service-gis-api/qr-code.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tracr.com/api-reference/grading-integration-service-gis-api/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
